Check&Place API Reference
HomeSimpra POSSimpra InventoryCheck&Place
HomeSimpra POSSimpra InventoryCheck&Place
  1. Tables
  • Introduction
  • Customers
    • create
      POST
    • index
      GET
    • update
      PATCH
  • Off Days
    • index
      GET
  • Reservation Payments
    • Activate or deactivate a payment request
      PATCH
    • Create a new payment request for a reservation
      POST
    • Update an existing payment request
      PATCH
    • Reactivate an expired or cancelled payment request
      PATCH
  • Reservation Requests
    • approve
      PATCH
    • create
      POST
    • index
      GET
    • reject
      PATCH
    • update
      PATCH
  • Reservations
    • check-in
      PATCH
    • create
      POST
    • index
      GET
    • update
      PATCH
  • Revenue Centers
    • index
      GET
  • Reviews
    • index
      GET
  • Stores
    • show
      GET
  • Tables
    • index
      GET
  • Online Reservation Requests
    • request-slot-hours
    • request-slots-availability
    • request-unavailable-dates
  • Online Reservations
    • slot-hours
    • slots-availability
    • unavailable-dates
  1. Tables

index

Production
https://api.checkandplace.com
Production
https://api.checkandplace.com
GET
/v1/tables

Request

Authorization
API Key
Add parameter in header
CheckandPlace-Access-Token
Example:
CheckandPlace-Access-Token: ********************
or
Query Params

Responses

🟢200
application/json
successful
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.checkandplace.com/v1/tables?revenue_center_id=undefined&page=1&per_page=50' \
--header 'CheckandPlace-Access-Token: <api-key>'
Response Response Example
{
    "meta": {
        "has_next_page": false,
        "current_page": 1,
        "total_count": 2,
        "page_count": 1
    },
    "tables": [
        {
            "id": "5e2906e0-4c92-4611-8d01-83b5194a4cfb",
            "name": "T1",
            "capacity": 4,
            "min_capacity": 2,
            "max_capacity": 6,
            "online_visibility": true,
            "assigned_to_table_plan": true,
            "object_num": null,
            "revenue_center_id": "eafc5fb5-330e-48e0-a0ab-d2c7439ae957",
            "store_id": "e3b72bf9-bd6c-4355-86f0-6dc3ca1d0654"
        },
        {
            "id": "cac16af7-b769-4eb1-a4a1-2207a2dd2f74",
            "name": "T2",
            "capacity": 2,
            "min_capacity": 1,
            "max_capacity": 4,
            "online_visibility": false,
            "assigned_to_table_plan": false,
            "object_num": null,
            "revenue_center_id": "4c8f25fd-401d-472c-8591-386524aa7965",
            "store_id": "ccd39f09-b948-4b05-a37f-2479f18208a8"
        }
    ]
}
Modified at 2026-05-06 13:06:45
Previous
show
Next
request-slot-hours
Built with